• Category Archives: Rails 4.0

Upgrading to Rails 4.1 from Rails 4.0 – Ruby on Rails

Upgrading to Ruby on Rails 4.1 was much easier than moving from 3.2 to 4.0. Maybe because I try to keep all the apps up-2-date, maybe because Rails guys didn’t change much stuff ;) (or maybe both). Either way, lets get through it. Paperclip – String based terminators are deprecated, please use a lambda Well […]

Read more at the source

Errbit + HTTPS: Setting up Errbit reporter (Airbrake gem) to work with self-signed HTTPS Errbit

Having an error catcher like Errbit behind SSL is generally a good idea. Especially when Errbit is hosted on a different server than you application (for example when you manage multiple apps with one Errbit instance). In many cases you will have a self-signed certificate (why would you pay for a cert for internal tool). […]

Read more at the source

Rack/Ruby on Rails: ArgumentError: invalid byte sequence in UTF-8

# Quick test – just copy-paste this: ?%28t%B3odei%29 into your app url – if app crashes, you should read stuff below ;) If you’re here, than probably you’ve encountered this weird issue: you might even have a backtrace like this: First of all, this issue is not super-important. It’s not a security issue as well. […]

Read more at the source
close